--- arts/gui/kde/kgraph.cpp.orig	Thu Apr  4 14:06:14 2002
+++ arts/gui/kde/kgraph.cpp	Thu Apr  4 14:06:56 2002
@@ -126,7 +126,7 @@
 				int dx = e->x() - p.x();
 				int dy = e->y() - p.y();
 
-				if(::sqrt(dx*dx + dy*dy) < 5.0)
+				if(::sqrt(float(dx*dx + dy*dy)) < 5.0)
 				{
 					selectedIndex = index;
 					selectedLine = gline;
--- arts/tools/environmentview.cpp.orig	Thu Apr  4 14:42:52 2002
+++ arts/tools/environmentview.cpp	Thu Apr  4 14:43:37 2002
@@ -31,6 +31,7 @@
 
 #define DEFAULT_ENV_FILENAME "/tmp/default.arts-env"
 
+using namespace std;
 using namespace Arts;
 using Environment::Container;
 using Environment::Item;
--- arts/tools/levelmeters.h.orig	Thu Apr  4 14:44:33 2002
+++ arts/tools/levelmeters.h	Thu Apr  4 14:45:38 2002
@@ -70,7 +70,7 @@
 	bool clipped;
 
 protected:
-	static const int peakMillis=1500; // how long do the peaks stay at their max?
+	static const int peakMillis; // how long do the peaks stay at their max?
 	
 	class Observation {
 	public:
--- arts/tools/levelmeters.cpp.orig	Thu Apr  4 14:44:59 2002
+++ arts/tools/levelmeters.cpp	Thu Apr  4 14:45:29 2002
@@ -5,6 +5,8 @@
 #include <kled.h>
 #include "levelmeters.h"
 
+const int PeakBar::peakMillis=1500;
+
 PeakBar::PeakBar(QWidget *parent): LevelMeter(parent) {
 	clipped = false;
 	displayMinPeak= false;
--- arts/runtime/artsbuilderloader_impl.cc.orig	Thu Apr  4 08:51:46 2002
+++ arts/runtime/artsbuilderloader_impl.cc	Thu Apr  4 13:57:26 2002
@@ -22,7 +22,7 @@
 
 #include "artsbuilder.h"
 #include "debug.h"
-#include <fstream.h>
+#include <fstream>
 #include <sys/types.h>
 #include <sys/stat.h>
 #include <stdio.h>
--- arts/modules/synth_cdelay_impl.cc.orig	Thu Apr  4 14:13:14 2002
+++ arts/modules/synth_cdelay_impl.cc	Thu Apr  4 14:18:30 2002
@@ -63,7 +63,7 @@
 	void time(float newTime)
 	{
 		_delaytime = newTime;
-		double n = ceil( log( _delaytime * samplingRateFloat ) / log( 2 ) );
+		double n = ceil( log( (float)(_delaytime * samplingRateFloat) ) / log( 2.0 ) );
 		unsigned long newbuffersize = (unsigned long)( pow( 2, n ) );
 		unsigned long newbitmask = newbuffersize - 1;
 		if( newbuffersize != _buffersize )
--- arts/modules/synth_delay_impl.cc.orig	Thu Apr  4 14:20:37 2002
+++ arts/modules/synth_delay_impl.cc	Thu Apr  4 14:20:53 2002
@@ -101,7 +101,7 @@
 		if( newmaxdelay <= 0 )
 			return;
 		_maxdelay = newmaxdelay;
-		double n = ceil( log( _maxdelay * samplingRateFloat ) / log( 2 ) );
+		double n = ceil( log( (float)(_maxdelay * samplingRateFloat) ) / log( 2.0 ) );
 		unsigned long newbuffersize = (unsigned long)( pow( 2, n ) );
 		unsigned long newbitmask = newbuffersize - 1;
 		if( newbuffersize != _buffersize )
--- arts/modules/env_mixeritem_impl.cc.orig	Thu Apr  4 14:27:15 2002
+++ arts/modules/env_mixeritem_impl.cc	Thu Apr  4 14:27:31 2002
@@ -6,6 +6,8 @@
 #include <stdio.h>
 #include <vector.h>
 
+using namespace std;
+
 namespace Arts {
 namespace Environment {
 
--- arts/modules/synth_play_pat_impl.cc.orig	Thu Apr  4 14:29:12 2002
+++ arts/modules/synth_play_pat_impl.cc	Thu Apr  4 14:29:36 2002
@@ -439,7 +439,7 @@
 			list<CachedPat::Data*>::iterator i;
 			for(i = pat->dList.begin(); i != pat->dList.end(); i++)
 			{
-				int diff = ::abs(ifreq - (*i)->patch.origFreq);
+				int diff = ::abs((double)(ifreq - (*i)->patch.origFreq));
 				if(diff < bestdiff)
 				{
 					selected = *i;
--- arts/modules/synth_fx_cflanger_impl.cc.orig	Thu Apr  4 14:31:10 2002
+++ arts/modules/synth_fx_cflanger_impl.cc	Thu Apr  4 14:32:30 2002
@@ -34,8 +34,7 @@
 protected:
 	float _mintime;
 	float _maxtime;
-	static const int SAMPLINGRATE = 44100;
-	static const int MAXDELAY = SAMPLINGRATE;
+	enum { SAMPLINGRATE = 44100, MAXDELAY = 44100 };
 	float *dbuffer;
 	unsigned long dbpos;
 	float center;
--- arts/modules/synth_pitch_shift_impl.cc.orig	Thu Apr  4 14:31:17 2002
+++ arts/modules/synth_pitch_shift_impl.cc	Thu Apr  4 14:31:43 2002
@@ -34,7 +34,7 @@
 protected:
 	float _speed, _frequency;
 
-	static const int MAXDELAY = 44100;
+	enum { MAXDELAY = 44100 };
 	float *dbuffer;
 	float lfopos, b1pos, b2pos, b1inc, b2inc;
 	bool b1reset, b2reset, initialized;
--- arts/builder/structure.h.orig	Thu Apr  4 14:34:25 2002
+++ arts/builder/structure.h	Thu Apr  4 14:35:02 2002
@@ -29,6 +29,8 @@
 #include "artsflow.h"
 #include <vector.h>
 
+using namespace std;
+
 class ExecutableStructure
 {
 public:
--- arts/builder/mwidget.h.orig	Thu Apr  4 14:35:30 2002
+++ arts/builder/mwidget.h	Thu Apr  4 14:35:54 2002
@@ -29,6 +29,7 @@
 #include <qttableview.h>
 
 class AutoRouter;
+class MWidgetTool;
 
 class ModuleWidget :public QtTableView, public StructureCanvas
 {
--- arts/builder/structure.cpp.orig	Thu Apr  4 14:37:03 2002
+++ arts/builder/structure.cpp	Thu Apr  4 14:38:08 2002
@@ -23,7 +23,7 @@
 #include "soundserver.h"
 #include "kartsserver.h"
 #include <stdio.h>
-#include <iostream.h>
+#include <iostream>
 #include <fstream>
 #include <arts/debug.h>
 
--- arts/builder/autorouter.h.orig	Thu Apr  4 14:40:31 2002
+++ arts/builder/autorouter.h	Thu Apr  4 14:40:44 2002
@@ -93,7 +93,7 @@
 	int numQueuedPaths;
 
 	// pseudo random table for fast "random" decisions
-	static const int PRSIZE = 16;
+	enum { PRSIZE = 16 };
 	long pseudoRandomDir[PRSIZE];
 	int nextPR;
 	void initPseudoRandom();
--- kaboodle/kaboodle_factory.h.orig	Thu Apr  4 14:47:56 2002
+++ kaboodle/kaboodle_factory.h	Thu Apr  4 14:48:13 2002
@@ -29,6 +29,8 @@
 #include <klibloader.h>
 #include <kparts/browserextension.h>
 
+class KaboodlePart;
+
 class KaboodleFactory : public KLibFactory					
 {
 Q_OBJECT
--- kmidi/TIMIDITY/xaw_i.c.orig	Thu Apr  4 15:31:30 2002
+++ kmidi/TIMIDITY/xaw_i.c	Thu Apr  4 15:31:40 2002
@@ -622,7 +622,7 @@
     ID_OPTIONS,
     ID_LINE2,
     ID_ABOUT,
-    ID_QUIT,
+    ID_QUIT
 };
 #define IDS_SAVECONFIG  "101"
 #define IDS_HIDETXT     "102"
--- mpeglib/lib/util/render/dither2YUV/rgb2yuv16.cpp.orig	Fri Apr  5 08:17:31 2002
+++ mpeglib/lib/util/render/dither2YUV/rgb2yuv16.cpp	Fri Apr  5 08:33:06 2002
@@ -70,7 +70,9 @@
 
 void rgb2yuv16(unsigned char* rgbSource, unsigned char* dest)
 {
-	int rgb = *((unsigned short*) rgbSource)++;
+	int rgb = *((unsigned short*) rgbSource);
+        rgbSource++;
+
 	int r = RED(rgb);
 	int g = GREEN(rgb);
 	int b = BLUE(rgb);
@@ -89,9 +91,10 @@
 	int width2 = width / 2;
 	int r, g, b, row, col, rgb;
 
-	for (row=0 ; row<height2 ; row++) {
-		for (col=0 ; col<width2 ; col++) {
-			rgb = *((unsigned short*) rgbSource)++;
+	for (row=0 ; row<height2 ; row+=1) {
+		for (col=0 ; col<width2 ; col+=1) {
+			rgb = *((unsigned short*) rgbSource);
+			rgbSource++;
   			r = RED(rgb);
   			g = GREEN(rgb);
   			b = BLUE(rgb);
@@ -100,15 +103,18 @@
 			*cr++  = U_RGB(r, g, b);
 			*cb++  = V_RGB(r, g, b);
 			
-			rgb = *((unsigned short*) rgbSource)++;
+			rgb = *((unsigned short*) rgbSource);
+			rgbSource++;
   			r = RED(rgb);
   			g = GREEN(rgb);
   			b = BLUE(rgb);
 			
-			*lum++ = Y_RGB(r, g, b);
+			*lum = Y_RGB(r, g, b);
+			lum++;
 		}
 		for (col=0 ; col<width ; col++) {
-			rgb = *((unsigned short*) rgbSource)++;
+			rgb = *((unsigned short*) rgbSource);
+			rgbSource++;
   			r = RED(rgb);
   			g = GREEN(rgb);
   			b = BLUE(rgb);
--- mpeglib/lib/util/Makefile.am.orig	Fri Apr  5 08:39:19 2002
+++ mpeglib/lib/util/Makefile.am	Fri Apr  5 08:39:25 2002
@@ -29,8 +29,7 @@
 libutil_la_SOURCES	=	mmx.c timeStamp.cpp \
 				timeStampArray.cpp \
 				dynBuffer.cpp syncClock.cpp \
-				syncClockMPEG.cpp timeWrapper.cpp \
-				mmxflags_asm.S
+				syncClockMPEG.cpp timeWrapper.cpp
 
 AM_ASFLAGS = $(DEFS) $(DEFAULT_INCLUDES) $(all_includes)
 
--- mpeglib/lib/mpegplay/Makefile.am.orig	Fri Apr  5 08:45:48 2002
+++ mpeglib/lib/mpegplay/Makefile.am	Fri Apr  5 08:46:14 2002
@@ -1,7 +1,7 @@
 #  libsplay - Makefile.am
 
 EXTRA_DIST		=	mainMpegPlay.cpp README COPYRIGHT \
-				mmxidct_asm.S copyFunctions.cpp
+				copyFunctions.cpp
 
 INCLUDES                =       $(all_includes)
 
@@ -43,7 +43,7 @@
 				mpegVideoLength.cpp \
 				mpegVideoBitWindow.cpp videoDecoder.cpp \
 				copyFunctions_asm.cpp copyFunctions_mmx.cpp \
-				mmxidct_asm.S copyFunctions.cpp \
+				copyFunctions.cpp \
 				tsSystemStream.cpp psSystemStream.cpp \
 				pesSystemStream.cpp
 
--- mpeglib/configure.in.in.orig	Fri Apr  5 08:50:48 2002
+++ mpeglib/configure.in.in	Fri Apr  5 08:50:58 2002
@@ -282,7 +282,7 @@
 
 esac
 
-THIS_LIB_LIBS="-lX11 -lXext -lm -lstdc++ ${XVLIBS} ${DGALIBS} "
+THIS_LIB_LIBS="-lX11 -lXext -lm ${XVLIBS} ${DGALIBS} "
 THIS_LIB_LIBS="${THIS_LIB_LIBS} ${XVIDMODELIBS} ${SDLLIB} ${CDDALIBS} "
 THIS_LIB_LIBS="${THIS_LIB_LIBS} ${OGG_VORBISLIBS} ${LIBPTHREAD}"
 AC_SUBST(THIS_LIB_LIBS)
--- noatun/library/noatun/mocs.cpp.orig	Fri Apr  5 09:16:48 2002
+++ noatun/library/noatun/mocs.cpp	Fri Apr  5 09:18:31 2002
@@ -31,5 +31,10 @@
 #include "stereobuttonaction.h"
 #include "stereobuttonaction.moc"
 
+#else
+
+//xlC does not like a link consisting of one empty file
+int not_empty;
+
 #endif
 
--- noatun/library/playlist.cpp.orig	Fri Apr  5 09:20:09 2002
+++ noatun/library/playlist.cpp	Fri Apr  5 09:21:29 2002
@@ -1,3 +1,5 @@
+#include <iostream.h>
+
 #include <noatun/playlist.h>
 #include <noatun/app.h>
 #include <noatun/player.h>
@@ -12,6 +14,8 @@
 #include <qmetaobject.h>
 #include <kmedia2.h>
 #include <vector.h>
+
+using namespace std;
 
 PlaylistItemData::PlaylistItemData()
 {
--- noatun/modules/keyz/keyz.h.orig	Fri Apr  5 09:34:42 2002
+++ noatun/modules/keyz/keyz.h	Fri Apr  5 09:34:47 2002
@@ -7,7 +7,7 @@
 class Keyz : public QObject, public Plugin
 {
 	Q_OBJECT
-	NOATUNPLUGIND;
+	NOATUNPLUGIND
 
 public:
 	Keyz();
--- noatun/modules/kaiman/style.h.orig	Fri Apr  5 09:30:49 2002
+++ noatun/modules/kaiman/style.h	Fri Apr  5 09:33:09 2002
@@ -131,8 +131,8 @@
 
     int value() { return _value; };
 
-    static const bool optionVertical = 1;
-    static const bool optionReversed = 2;
+    static const bool optionVertical;
+    static const bool optionReversed;
 
 public slots:
     void setValue( int value );
@@ -253,7 +253,7 @@
 
     virtual void loadPixmaps(QString &val_s_filename);
 
-    static const bool optionExtended = 1;
+    static const bool optionExtended;
 
     QString value() { return _value; };
 
--- noatun/modules/kaiman/style.cpp.orig	Fri Apr  5 09:30:55 2002
+++ noatun/modules/kaiman/style.cpp	Fri Apr  5 09:32:36 2002
@@ -39,6 +39,9 @@
 #include <noatun/app.h>
 #include <noatun/stdaction.h>
 
+const bool KaimanStyleSlider::optionVertical = 1;
+const bool KaimanStyleSlider::optionReversed = 2;
+const bool KaimanStyleText::optionExtended = 1;
 
 KaimanStyleElement::KaimanStyleElement(QWidget *parent, const char *name)
     : QWidget(parent, name)
--- noatun/modules/voiceprint/voiceprint.cpp.orig	Fri Apr  5 09:45:47 2002
+++ noatun/modules/voiceprint/voiceprint.cpp	Fri Apr  5 09:46:09 2002
@@ -93,7 +93,7 @@
 	for (int i=0; i<bands ; i++)
 	{
 		float b=data[bands-i-1]+1.0;
-		b=log10(b)/log(2)*255.0*16;
+		b=log10(b)/log(2.0)*255.0*16;
 		int band=(int)b;
 		if (band>255) band=255;
 		else if (band<0) band=0;
--- noatun/modules/winskin/vis/winSkinFFT_impl.cpp.orig	Fri Apr  5 09:47:46 2002
+++ noatun/modules/winskin/vis/winSkinFFT_impl.cpp	Fri Apr  5 09:48:06 2002
@@ -96,7 +96,7 @@
     tmp=re*re+im*im;  
     // Here I check a new idea. We remove all low values
     // and all values over xyz to xyz.
-    fftArray[pos]=(int)(::sqrt(::sqrt(tmp)));
+    fftArray[pos]=(int)(::sqrt(::sqrt((double)tmp)));
     
     if (fftArray[pos]<=15) {
       max+=fftArray[pos];
--- noatun/modules/winskin/vis/visQueue.cpp.orig	Fri Apr  5 09:48:47 2002
+++ noatun/modules/winskin/vis/visQueue.cpp	Fri Apr  5 10:12:52 2002
@@ -17,7 +17,7 @@
 VISQueue::VISQueue(int elements) {
   this->elements=elements;
   int i;
-  visArrayQueue=new (std::vector<float>*[elements]);
+  visArrayQueue=(std::vector<float>**)malloc(sizeof(std::vector<float>*) * elements);
   for(i=0;i<elements;i++) {
     visArrayQueue[i]=new std::vector<float>;
   }
@@ -30,7 +30,7 @@
   for(i=0;i<elements;i++) {
     delete visArrayQueue[i];
   }
-  delete visArrayQueue;
+  free(visArrayQueue);
 }
 
 std::vector<float>* VISQueue::getElement(int i) {
--- noatun/modules/winskin/waColor.cpp.orig	Fri Apr  5 10:14:05 2002
+++ noatun/modules/winskin/waColor.cpp	Fri Apr  5 10:15:46 2002
@@ -42,13 +42,13 @@
 
     for (int index = 0;index < 24;index++) {
         viscolor >> r;
-	viscolor >> std::ws;
+	viscolor >> ws;
 	viscolor >> comma;
-	viscolor >> std::ws;
+	viscolor >> ws;
 	viscolor >> g;
-	viscolor >> std::ws;
+	viscolor >> ws;
 	viscolor >> comma;
-	viscolor >> std::ws;
+	viscolor >> ws;
 	viscolor >> b;
 
 	if (!viscolor)
--- configure.in.orig	Fri Apr  5 08:51:05 2002
+++ configure.in	Fri Apr  5 08:51:13 2002
@@ -1485,7 +1485,7 @@
 
 esac
 
-THIS_LIB_LIBS="-lX11 -lXext -lm -lstdc++ ${XVLIBS} ${DGALIBS} "
+THIS_LIB_LIBS="-lX11 -lXext -lm ${XVLIBS} ${DGALIBS} "
 THIS_LIB_LIBS="${THIS_LIB_LIBS} ${XVIDMODELIBS} ${SDLLIB} ${CDDALIBS} "
 THIS_LIB_LIBS="${THIS_LIB_LIBS} ${OGG_VORBISLIBS} ${LIBPTHREAD}"
 AC_SUBST(THIS_LIB_LIBS)
